#!/bin/sh
DOCROOT=/var/www/html
CGIBIN=/var/www/cgi-bin
if [ "$#" = 0 ] ; then
	echo tlmpweb.test.sh rel-path [ http args ]
else
	unset LD_PRELOAD
	if [ "$1" = "gdb" ] ; then
		GDB=gdb
		shift
	fi
	dir=`dirname $1`
	if [ ! -d $DOCROOT/$dir ] ; then
		echo sub-dir $dir does not exist
	else
		echo Enter POST arguments, hit ctrl-D when done
		cd $DOCROOT/$dir
		export PATH_INFO=/$1
		export PATH_TRANSLATED=$DOCROOT/$1
		export QUERY_STRING="$2"
		export DOCUMENT_ROOT=$DOCROOT
		if $GDB $CGIBIN/tlmpweb
		then
			echo ok
		else
			echo fail
		fi
		#$GDB ./tlmpweb
	fi
fi


