#!/bin/sh
# This defines an SQL database to store web session
if [ "$1" = "create" ] ; then
	shift
	mysqladmin $* create websession
	mysql websession $* <<-EOF
		create table sessions (
			num int auto_increment,
			random char(20),
			index (num,random),
			last_access datetime
		);
		create table variables (
			num int not null,
			variable char(30) not null,
			primary key (num,variable),
			val blob
		);
	EOF
elif [ "$1" = "delete" ] ; then
	shift
	mysqladmin $* drop websession
else
	echo websession.sh create
	echo websession.sh delete
fi

