#include <string.h>
#include "../tlmpweb/tlmpweb.h"
#include "tlmpwebsql.h"

class W_CONCAT{
	char tmp[100];
public:
	W_CONCAT(const char *s1, const char *s2){
		strcpy (tmp,s1);
		strcat (tmp,s2);
	}
	operator const char *(){
		return tmp;
	}
};

PUBLIC W_NSQL_FIELD::W_NSQL_FIELD(const char *_name)
	: W_VAR(W_CONCAT("db-",_name),""),NSQL_FIELD (_name)
{
	after_init();
}

PUBLIC W_NSQL_FIELD::W_NSQL_FIELD(const char *_name, unsigned _flags)
	: W_VAR(W_CONCAT("db-",_name),""),NSQL_FIELD (_name,_flags)
{
	after_init();
}
	

PUBLIC void W_NSQL_FIELD::setinitval (const char *val)
{
	setfrom (val);
}
PUBLIC void W_NSQL_FIELD::getvalstr (SSTRING &s) const
{
	copy(s);
}

PUBLIC void W_NSQL_FIELD::setempty()
{
	SSTRING::setempty();
	W_VAR::setempty();
}



